(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.line1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FF9933").ss(5,1).p("AizE2IFnpr");
	this.shape.setTransform(18,31);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f().s("#FF9933").ss(5,1).p("AinEhIFPpB");
	this.shape_1.setTransform(19.25,28.85);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f().s("#FF9933").ss(5,1).p("AiaELIE1oV");
	this.shape_2.setTransform(20.5,26.7);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f().s("#FF9933").ss(5,1).p("AiOD2IEdnr");
	this.shape_3.setTransform(21.75,24.55);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f().s("#FF9933").ss(5,1).p("AiBDgIEDm/");
	this.shape_4.setTransform(23,22.4);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f().s("#FF9933").ss(5,1).p("Ah1DLIDrmV");
	this.shape_5.setTransform(24.25,20.25);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f().s("#FF9933").ss(5,1).p("AhoC1IDRlp");
	this.shape_6.setTransform(25.5,18.1);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f().s("#FF9933").ss(5,1).p("AhcCgIC5k/");
	this.shape_7.setTransform(26.75,15.95);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f().s("#FF9933").ss(5,1).p("AhPCKICfkT");
	this.shape_8.setTransform(28,13.8);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f().s("#FF9933").ss(5,1).p("AhDB1ICHjp");
	this.shape_9.setTransform(29.25,11.65);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f().s("#FF9933").ss(5,1).p("Ag2BfIBti9");
	this.shape_10.setTransform(30.5,9.5);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f().s("#FF9933").ss(5,1).p("AhDB1ICHjo");
	this.shape_11.setTransform(2.7,57.55);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f().s("#FF9933").ss(5,1).p("AhcCfIC5k9");
	this.shape_12.setTransform(6.1,51.65);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f().s("#FF9933").ss(5,1).p("AiND2IEcnr");
	this.shape_13.setTransform(12.9,39.85);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f().s("#FF9933").ss(5,1).p("AimEhIFOpA");
	this.shape_14.setTransform(16.3,33.95);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape}]}).to({state:[{t:this.shape}]},9).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2,p:{x:20.5,y:26.7}}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4,p:{x:23,y:22.4}}]},1).to({state:[{t:this.shape_5,p:{x:24.25,y:20.25}}]},1).to({state:[{t:this.shape_6,p:{x:25.5,y:18.1}}]},1).to({state:[{t:this.shape_7}]},1).to({state:[{t:this.shape_8,p:{x:28,y:13.8}}]},1).to({state:[{t:this.shape_9}]},1).to({state:[{t:this.shape_10,p:{x:30.5,y:9.5}}]},1).to({state:[]},1).to({state:[{t:this.shape_10,p:{x:1,y:60.5}}]},4).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_8,p:{x:4.4,y:54.6}}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_6,p:{x:7.8,y:48.7}}]},1).to({state:[{t:this.shape_5,p:{x:9.5,y:45.75}}]},1).to({state:[{t:this.shape_4,p:{x:11.2,y:42.8}}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_2,p:{x:14.6,y:36.9}}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape}]},1).wait(11));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-7,-2.5,45.5,75);


(lib.blinkt = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("rgba(255,255,255,0.6)").s().p("A7GAyIAAhkMA2NAAAIAABkg");
	this.shape.setTransform(173.5,33.95);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("rgba(255,255,255,0.2)").s().p("A7GB3IAAjtMA2NAAAIAADtg");
	this.shape_1.setTransform(173.5,11.925);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.blinkt, new cjs.Rectangle(0,0,347,39), null);


(lib.hfiawegw = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	mask.graphics.p("AoJMqQgZgUAEghIBZoOIl4l0QgVgVAHgiQALggAggEIIJhOIDpneQANgfAhAAQAhAAAOAfIA3ByIAAgBIAKAUICOEmIAZAzIIJBOQAhAEALAgQAJAhgYAWIl3F0IBYIOQAEAhgZAUQgNAJgTAAQgNAAgKgFInSj4InRD4QgNAGgMAAQgQAAgPgKg");
	mask.setTransform(178.0887,215.1817);

	// Layer_1
	this.instance = new lib.blinkt();
	this.instance.setTransform(63.75,172.6,1,1,-74.9998,0,0,173.5,19.5);

	var maskedShapeInstanceList = [this.instance];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:276.75,y:248.6},19).to({_off:true},1).wait(95));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,262.7,297.2);


(lib.stratwe = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.hfiawegw();
	this.instance.setTransform(37.8,39.4,1,1,0,0,0,131.3,172.6);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FF9933").s().p("AgCIrIl2jIID7uSIHIBEQAhAEALAfQAJAhgYAXIl2F1IBXINQAEAhgZAUQgNAJgTAAQgNAAgJgFg");
	this.shape.setTransform(131.4746,107.925);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	// Layer_3
	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FF9933").s().p("AByq2ICYE6Ij+OfIkVCUg");
	this.shape_1.setTransform(83.35,83.875);

	this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

	// Layer_4
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#FF9933").s().p("AoJMqQgZgUAEghIBZoOIl4l0QgVgVAHgiQALggAggEIIJhOIDpneQANgfAhAAQAhAAAOAfIDoHeIIJBOQAhAEALAgQAJAhgYAWIl3F0IBYIOQAEAhgZAUQgNAJgTAAQgNAAgKgFInSj4InRD4QgNAGgMAAQgQAAgPgKg");
	this.shape_2.setTransform(84.5887,81.9817);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.stratwe, new cjs.Rectangle(-93.5,-133.2,262.7,345.29999999999995), null);


(lib.cardwaw = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2
	this.instance = new lib.stratwe();
	this.instance.setTransform(27.7,19.55,0.3818,0.3818,-5.4725,0,0,84.7,81.8);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:0.3817,rotation:-95.4725,x:27.65,y:19.5},24).to({scaleY:0.3817,rotation:-185.4727,x:27.55},25).to({scaleX:0.3818,rotation:-275.4727,y:19.6},25).to({scaleY:0.3818,rotation:-365.4725,x:27.6,y:19.65},25).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-50.8,-58.9,156.89999999999998,156.9);


(lib.fallingstar = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// timeline functions:
	this.frame_29 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(29).call(this.frame_29).wait(1));

	// cardwaw
	this.instance = new lib.cardwaw();
	this.instance.setTransform(47,240.35,1.0906,1.0906,8.71,0,0,32,27.1);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(30));

	// line1
	this.instance_1 = new lib.line1();
	this.instance_1.setTransform(162,31,1,1,0,0,0,18,31);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(24).to({_off:false},0).wait(6));

	// line1
	this.instance_2 = new lib.line1();
	this.instance_2.setTransform(168.5,99.5,1,1,0,0,0,18,31);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(19).to({_off:false},0).wait(11));

	// line1
	this.instance_3 = new lib.line1();
	this.instance_3.setTransform(90.55,60,1,1,0,0,0,18,31);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(14).to({_off:false},0).wait(16));

	// line1
	this.instance_4 = new lib.line1();
	this.instance_4.setTransform(105.05,176,1,1,0,0,0,18,31);
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(9).to({_off:false},0).wait(21));

	// line1
	this.instance_5 = new lib.line1();
	this.instance_5.setTransform(107.55,125.5,1,1,0,0,0,18,31);
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(4).to({_off:false},0).wait(26));

	// line1
	this.instance_6 = new lib.line1();
	this.instance_6.setTransform(69.05,146.85,1,1,0,0,0,18,31);

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(30));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-33.2,-2.5,222.2,284.8);


// stage content:
(lib.Element_star_wish_falling_Canvas = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0];
	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// cardwaw
	this.instance = new lib.fallingstar();
	this.instance.setTransform(141.35,220.95,1.3768,1.3768,0,0,0,70.9,147.7);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(197.9,373.6,-30.900000000000006,32.69999999999999);
// library properties:
lib.properties = {
	id: 'D921A8E1AFE6F040AC8CC37A5BAD3AE3',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['D921A8E1AFE6F040AC8CC37A5BAD3AE3'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;